Subject: [Coco] nasty bug in cprep19!!!
From: Willard Goosey <[email-masked]>
To: [email-masked]
Date: Thu, 26 May 2011 17:41:43 -0600
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

I *knew* something would break if I tried to recompile cgfx!!!

In this case, I stumbled across a nasty bug in Cprep19 and cprep19a

with an array of structs, element names with '_' get split up on the
'-'.

This works:
	foo.f_baz=5;
it becomes  foo . f_baz = 5 ;

This works but is a warning that not all is right:
	foo[bar].baz=5;
it becomes   foo [ bar ] .baz = 5 ;

This breaks:
	foo[bar].f_baz=5;
and is rendered as: foo [ bar ] .f _baz = 5 ;

_slight_ problem there, I'm trying to figure it out.

Willard
-- 
Willard Goosey  [email-masked]
Socorro, New Mexico, USA
I search my heart and find Cimmeria, land of Darkness and the Night.
  -- R.E. Howard

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco